Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

hyper: fix CONNECT responses and unsupported HTTP version in response #7141

Closed
wants to merge 3 commits into from

Conversation

@bagder
Copy link
Member

@bagder bagder commented May 27, 2021

No description provided.

@bagder bagder force-pushed the bagder/hyper-CONNECT-auth branch from f7ff78f to a12f0ad May 27, 2021
@bagder bagder changed the title hyper: fix non-200 CONNECT responses and auth hyper: fix CONNECT responses and unsupported HTTP version in response May 27, 2021
@bagder bagder closed this in d3e0f20 May 27, 2021
bagder added a commit that referenced this pull request May 27, 2021
…TOCOL

Makes test 129 work (HTTP/1.2 response).

Closes #7141
@bagder bagder deleted the bagder/hyper-CONNECT-auth branch May 27, 2021
@kevinburke
Copy link
Contributor

@kevinburke kevinburke commented May 30, 2021

I'm sorry I missed this. I had tried adding hyperium/hyper#2495 to expose this error specifically in the C API, instead of a very generic message. I just saw that @seanmonstar replied to that, so I might see if I can make progress there.

@bagder
Copy link
Member Author

@bagder bagder commented May 30, 2021

Excellent, thank you. If we get that, then we can go back and improve!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

2 participants